## nickel-codecs-ffmpeg 0.6+svn20100811r55740+56137-1jolicloud0

=== libavfilter/Makefile ===
include $(SUBDIR)../config.mak

NAME = avfilter
FFLIBS = avcodec avutil swscale
FFLIBS-$(CONFIG_AVFILTER_LAVF) += avformat

HEADERS = avfilter.h

OBJS = allfilters.o                                                     \
       avfilter.o                                                       \
       avfiltergraph.o                                                  \
       defaults.o                                                       \
       formats.o                                                        \
       graphparser.o                                                    \
       parseutils.o                                                     \

OBJS-$(CONFIG_ASPECT_FILTER)                 += vf_aspect.o
OBJS-$(CONFIG_CROP_FILTER)                   += vf_crop.o
OBJS-$(CONFIG_FORMAT_FILTER)                 += vf_format.o
OBJS-$(CONFIG_NOFORMAT_FILTER)               += vf_format.o
OBJS-$(CONFIG_NULL_FILTER)                   += vf_null.o
OBJS-$(CONFIG_PAD_FILTER)                    += vf_pad.o
OBJS-$(CONFIG_PIXDESCTEST_FILTER)            += vf_pixdesctest.o
OBJS-$(CONFIG_PIXELASPECT_FILTER)            += vf_aspect.o
OBJS-$(CONFIG_SCALE_FILTER)                  += vf_scale.o
OBJS-$(CONFIG_SLICIFY_FILTER)                += vf_slicify.o
OBJS-$(CONFIG_UNSHARP_FILTER)                += vf_unsharp.o
OBJS-$(CONFIG_VFLIP_FILTER)                  += vf_vflip.o

OBJS-$(CONFIG_BUFFER_FILTER)                 += vsrc_buffer.o
OBJS-$(CONFIG_COLOR_FILTER)                  += vf_pad.o
OBJS-$(CONFIG_NULLSRC_FILTER)                += vsrc_nullsrc.o

OBJS-$(CONFIG_NULLSINK_FILTER)               += vsink_nullsink.o

include $(SUBDIR)../subdir.mak

=== debian/changelog ===
nickel-codecs-ffmpeg (0.6+svn20100811r55740+56137-1jolicloud0) robby; urgency=low

  [ Benjamin Ryzman ]
  * Imported Upstream version 0.5+svn20100406r43776+43794+43724

  [ Fabien Tassin ]
  * Imported Debian patch 0.5+svn20100406r43776+43794+43724-
    0ubuntu1~ucd1~jaunty

  [ Benjamin Ryzman ]
  * Imported Upstream version 0.6+svn20100811r55740+56137

  [ Fabien Tassin ]
  * Imported Debian patch 0.6+svn20100811r55740+56137-
    0ubuntu1~ucd1~jaunty

 -- Benjamin Ryzman <benjamin@jolicloud.org>  Tue, 24 Aug 2010 18:22:57 +0200

chromium-codecs-ffmpeg (0.6+svn20100811r55740+56137-0ubuntu1~ucd1~jaunty) jaunty; urgency=low

  * Drop the sse2 patch, it has been applied upstream, and set disable_sse2
    - drop debian/patches/*
    - update debian/rules
  * Unpack the sources during pre-build so quilt has access to all source files
    and set QUILT_PATCHES (for hardy)
    - update debian/rules
  * Add libvpx-dev to Build-Depends and set the use_system_vpx gyp knob
    - update debian/control
    - update debian/rules
  * Re-do the get-orig-source rule with 2 repos instead of 3 following
    the upstream reorganization and follow the revision requested by
    Chromium for now on
    - update debian/rules
  * FTBFS when an upstream patch fails to apply, as it could lead to weird
    situations
    - update debian/rules

 -- Fabien Tassin <fta@ubuntu.com>  Sun, 15 Aug 2010 04:00:02 +0200

chromium-codecs-ffmpeg (0.5+svn20100406r43776+43984+43918-0ubuntu1) lucid; urgency=low

  * Fix broken "Depends" for chromium-codecs-ffmpeg-extra-dbg (LP: 558986)
    - update debian/control
  * Add quilt to Build-Depends
    - update debian/control
    - update debian/rules
  * Disable SSE2 like in Chromium itself, it's causing crashes on Celeron &
    Athlon CPUs (see http://crbug.com/39969) (LP: 558839)
    - update debian/rules
    - add debian/patches/disable_sse2.patch
    - add debian/patches/series

 -- Fabien Tassin <fta@ubuntu.com>  Fri, 09 Apr 2010 12:53:08 +0200

nickel-codecs-ffmpeg (0.5+svn20100326r42726+42573+42890-1jolicloud1) robby; urgency=low

  * rename Chromium to Nickel

 -- Benjamin Ryzman <benjamin@jolicloud.org>  Tue, 30 Mar 2010 10:15:08 +0200

chromium-codecs-ffmpeg (0.5+svn20100326r42726+42573+42890-0ubuntu1~ucd2~jaunty) jaunty; urgency=low

  * Initial release. (LP: #537617, #513776)

 -- Fabien Tassin <fta@ubuntu.com>  Sat, 27 Mar 2010 13:03:29 +0100

=== debian/control ===
Source: nickel-codecs-ffmpeg
Section: web
Priority: optional
Maintainer: Fabien Tassin <fta@ubuntu.com>
Vcs-Bzr: https://code.launchpad.net/~chromium-team/chromium-browser/chromium-codecs-ffmpeg.head
Build-Depends: cdbs,
	debhelper (>= 5),
	quilt,
	patchutils (>= 0.2.25),
	lsb-release,
	zlib1g-dev,
	libvpx-dev,
	gyp,
	yasm (>= 0.7)
Standards-Version: 3.8.3

Package: nickel-codecs-ffmpeg
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, nickel-browser (>= 4.0.203.0~)
Conflicts: nickel-codecs-ffmpeg-extra, nickel-codecs-ffmpeg-nonfree
Replaces: nickel-codecs-ffmpeg-extra, nickel-codecs-ffmpeg-nonfree
Breaks: nickel-browser (<< 3.0.197.0~svn20090802r22252)
Description: Free ffmpeg codecs for the Nickel Browser
 Nickel is an open-source browser project that aims to build a safer, faster,
 and more stable way for all Internet users to experience the web.
 .
 This package contains the multi-threaded ffmpeg codecs needed for the HTML5
 <audio> and <video> tags. Only the free ogg, vorbis and theora codecs are
 included. See nickel-codecs-ffmpeg-extra for additionnal codecs

Package: nickel-codecs-ffmpeg-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${shlibs:Depends}, ${misc:Depends}, nickel-codecs-ffmpeg (= ${binary:Version})
Conflicts: nickel-codecs-ffmpeg-extra-dbg, nickel-codecs-ffmpeg-nonfree-dbg
Replaces: nickel-codecs-ffmpeg-extra-dbg, nickel-codecs-ffmpeg-nonfree-dbg
Description: nickel-codecs-ffmpeg debug symbols
 Debug symbols for the free ffmpeg-mt codecs

Package: nickel-codecs-ffmpeg-extra
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, nickel-browser (>= 4.0.203.0~)
Conflicts: nickel-codecs-ffmpeg, nickel-codecs-ffmpeg-nonfree (<< 0.5+svn20100323r42310+42573+42709)
Breaks: nickel-browser (<< 3.0.197.0~svn20090802r22252)
Replaces: nickel-codecs-ffmpeg, nickel-codecs-ffmpeg-nonfree, nickel-browser
Provides: nickel-codecs-ffmpeg-nonfree
Description: Extra ffmpeg codecs for the Nickel Browser
 Nickel is an open-source browser project that aims to build a safer, faster,
 and more stable way for all Internet users to experience the web.
 .
 This package contains the multi-threaded ffmpeg codecs needed for the HTML5
 <audio> and <video> tags. In addition to the patent-free ogg, vorbis and theora codecs,
 aac/ac3/mpeg4audio/h264/mov/mp3 are also included.
 See nickel-codecs-ffmpeg if you prefer only the patent-free codecs

Package: nickel-codecs-ffmpeg-extra-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${shlibs:Depends}, ${misc:Depends}, nickel-codecs-ffmpeg-extra (= ${binary:Version})
Conflicts: nickel-codecs-ffmpeg-dbg, nickel-codecs-ffmpeg-nonfree-dbg (<< 0.5+svn20100323r42310+42573+42709)
Replaces: nickel-codecs-ffmpeg-dbg, nickel-codecs-ffmpeg-nonfree-dbg
Provides: nickel-codecs-ffmpeg-nonfree-dbg
Description: nickel-codecs-ffmpeg-extra debug symbols
 Debug symbols for the extra ffmpeg-mt codecs

Package: nickel-codecs-ffmpeg-nonfree
Architecture: all
Depends: nickel-codecs-ffmpeg-extra
Description: dummy upgrade package
 This is a transitional package so nickel-codecs-ffmpeg-nonfree users
 get nickel-codecs-ffmpeg-extra on upgrade. It can be safely removed.

Package: nickel-codecs-ffmpeg-nonfree-dbg
Architecture: all
Depends: nickel-codecs-ffmpeg-extra-dbg
Description: dummy upgrade package
 This is a transitional package so nickel-codecs-ffmpeg-nonfree-dbg users
 get nickel-codecs-ffmpeg-extra-dbg on upgrade. It can be safely removed.

=== debian/rules ===
#!/usr/bin/make -f

DEBIAN_NAME		:= $(shell dpkg-parsechangelog | sed -n 's/^Source: *\(.*\)$$/\1/ p')
DEBIAN_VERSION		:= $(shell dpkg-parsechangelog | sed -n 's/^Version: *\(.*\)$$/\1/ p')
DEBIAN_UPSTREAM_VERSION	:= $(shell echo $(DEBIAN_VERSION) | sed 's/^\(.*\)-[^-]*$$/\1/')
DEBIAN_REVISION		:= $(shell echo $(DEBIAN_VERSION) | sed 's/^.*r\([^-]*\)-.*/\1/')
DEBIAN_DIST             := $(shell lsb_release -ds | tr -d '()')

# We can follow either trunk or the revision required by Chromium
FOLLOW_CHROMIUM ?= 1

SRC_DIR        := $(CURDIR)
SOURCES_DIR    := src/source/patched-ffmpeg-mt
LIB_DIR        := usr/lib/nickel-browser

pre-build:: debian/stamp-unpack
include /usr/share/cdbs/1/rules/patchsys-quilt.mk
include /usr/share/cdbs/1/rules/debhelper.mk

# for hardy
DEB_QUILT_PATCHDIR_LINK = $(NULL)
export QUILT_PATCHES=$(SRC_DIR)/debian/patches

MAKE_ARGS := BUILDTYPE=Release
# MAKE_ARGS += CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)"

# Disable SSE2
GYP_DEFINES = disable_sse2=1

ifeq (armel,$(DEB_BUILD_ARCH))
GYP_DEFINES += \
        target_arch=arm \
        $(NULL)
ifneq (,$(filter unstable development,$(DEBIAN_DIST)))
# on $(DEB_BUILD_ARCH) and $(DEBIAN_DIST), enforce an armv7 with thumb build
GYP_DEFINES += \
        armv7=1 \
        arm_thumb=1 \
        $(NULL)
endif
else
ifeq (x86_64,$(DEB_BUILD_GNU_CPU))
GYP_DEFINES += target_arch=x64
else
GYP_DEFINES += target_arch=ia32
endif
endif

GYP_DEFINES += \
	release_extra_cflags=-g \
	use_system_yasm=1 \
	use_system_vpx=1 \
	$(NULL)

# the ffmpeg_branding variable controls which codecs are built inside the sumo lib.
# By default, ffmpeg_branding equals to "Chromium" and only builds the ogg/vorbis/theora codecs.
# When set to "Chrome", it also builds aac/ac3/mpeg4audio/h264/mov/mp3
FFMPEG_MT_STD_FLAGS   = $(NULL)
FFMPEG_MT_EXTRA_FLAGS = ffmpeg_branding=Chrome

DEB_DH_SHLIBDEPS_ARGS_$(DEBIAN_NAME) := -l$(CURDIR)/debian/$(DEBIAN_NAME)/$(LIB_DIR)
DEB_DH_SHLIBDEPS_ARGS_$(DEBIAN_NAME)-extra := -l$(CURDIR)/debian/$(DEBIAN_NAME)-extra/$(LIB_DIR)

# Build a custom ffmpeg from the multi-threaded branch, and do it twice
# with different flags
common-build-arch:: debian/stamp-build-ffmpeg-std debian/stamp-build-ffmpeg-extra

debian/stamp-unpack:
	rm -rf $(SRC_DIR)/ffmpeg-mt $(SRC_DIR)/$(SOURCES_DIR)
	cd $(SRC_DIR) && tar zxf ffmpeg-mt.tar.gz
	@set -e; $(foreach patch,$(sort $(notdir $(wildcard $(SRC_DIR)/patches/*.patch $(SRC_DIR)/patches/*/*.patch))),echo "# Apply $(patch) ..." ; \
	  cd $(SRC_DIR)/ffmpeg-mt && patch -p1 < $(wildcard $(SRC_DIR)/patches/$(patch) $(SRC_DIR)/patches/*/$(patch));)
	mkdir -p $(SRC_DIR)/$(dir $(SOURCES_DIR))
	mv $(SRC_DIR)/ffmpeg-mt $(SRC_DIR)/$(SOURCES_DIR)
	touch $@
	
debian/stamp-configure-ffmpeg-%: GYP_DEFINES += $(FFMPEG_MT_$(subst std,STD,$(subst extra,EXTRA,$*))_FLAGS)
debian/stamp-configure-ffmpeg-%: debian/stamp-unpack
	rm -rf $(SRC_DIR)/*.mk $(SRC_DIR)/src/out
	cd $(SRC_DIR)/src && GYP_DEFINES="$(GYP_DEFINES)" GYP_GENERATORS=make build/gyp_chromium --depth=../src source/ffmpeg.gyp
	touch $@

debian/stamp-build-ffmpeg-%: debian/stamp-configure-ffmpeg-%
	cd $(SRC_DIR)/src ; $(MAKE) $(MAKE_ARGS) libffmpegsumo.so
	install -d -m 755 $(CURDIR)/debian/tmp-$*/$(LIB_DIR)
	install -m 644 $(SRC_DIR)/src/out/Release/lib.target/libffmpegsumo.so $(CURDIR)/debian/tmp-$*/$(LIB_DIR)
	touch $@

clean::
	rm -rf debian/stamp-* debian/tmp-*
	rm -rf $(addprefix $(SRC_DIR)/,ffmpeg-mt src/out src/*.mk src/Makefile src/source/patched-ffmpeg-mt)

###############################################################################################

# Tarball (get-orig-source & get-current-source)
FFMPEG_URL   := http://src.chromium.org/svn/trunk/deps/third_party/ffmpeg/
BUILD_URL    := http://src.chromium.org/svn/trunk/src/build/

SRC_FILES    := \
	src/build/common.gypi \
	src/build/release.gypi \
	src/build/compiler_version.py \
	src/build/features_override.gypi \
	src/build/internal/release_defaults.gypi \
	src/build/internal/release_impl.gypi \
	src/build/internal/release_impl_official.gypi \
	src/build/gyp_chromium \
	src/build/linux \
	ffmpeg/ffmpeg-mt.tar.gz \
	ffmpeg/patches \
	ffmpeg/README.chromium \
	ffmpeg/source \
	$(NULL)

TMP_DDIR     := $(DEBIAN_NAME)-$(shell echo $$$$)
ifeq (,$(LOCAL_BRANCH))
TMP_DIR      := $(TMP_DDIR)
else
TMP_DIR      := $(LOCAL_BRANCH)
endif

DO = (echo "$(1)" ; $(1))
# usage: $(call CO,options,src,dst)
CO = ( if [ ! -d "$(3)" ] ; then $(call DO,mkdir -p "$(3)") ; $(call DO,svn co $(1) $(2) $(3)) ; else $(call DO,svn update $(1) $(3)) ; fi )

ifneq (,$(DEBIAN_TAG))
get-orig-source: TAG1  = $(NULL)
get-orig-source: TAG2  = $(NULL)
else
ifeq (1,$(FOLLOW_CHROMIUM))
get-orig-source: TAG1  = -r $(shell wget -qO- http://src.chromium.org/svn/trunk/src/DEPS | grep '"ffmpeg_revision":' | cut -d'"' -f4)
else
get-orig-source: TAG1  = -r $(shell svn log --limit 1 $(FFMPEG_URL) | grep ^r | head -1 | sed -e 's/^r\([^ ]*\).*/\1/')
endif
get-orig-source: TAG2  = -r $(shell svn log --limit 1 $(BUILD_URL)  | grep ^r | head -1 | sed -e 's/^r\([^ ]*\).*/\1/')
endif
get-orig-source: gos-all

get-current-source: TAG1 = -r $(shell echo $(DEBIAN_REVISION) | cut -d+ -f1)
get-current-source: TAG2 = -r $(shell echo $(DEBIAN_REVISION) | cut -d+ -f2)
get-current-source: gos-all

gos-all: gos-co gos-pack
ifneq (,$(DEBIAN_TAG))
gos-all: LOCAL_BRANCH = $(NULL)
endif
gos-co:
ifeq (,$(LOCAL_BRANCH))
	rm -rf $(TMP_DIR)
endif
	@$(call CO,$(TAG1) -N,$(FFMPEG_URL),$(TMP_DIR)/ffmpeg)
	@$(call CO,$(TAG1),$(FFMPEG_URL)/patches,$(TMP_DIR)/ffmpeg/patches)
	@$(call CO,$(TAG1) -N,$(FFMPEG_URL)/source,$(TMP_DIR)/ffmpeg/source)
	@$(call CO,$(TAG1),$(FFMPEG_URL)/source/config/Chromium/linux,$(TMP_DIR)/ffmpeg/source/config/Chromium/linux)
	@$(call CO,$(TAG1),$(FFMPEG_URL)/source/config/Chrome/linux,$(TMP_DIR)/ffmpeg/source/config/Chrome/linux)
	@$(call CO,$(TAG1),$(FFMPEG_URL)/source/config/libavutil,$(TMP_DIR)/ffmpeg/source/config/libavutil)

	@$(call CO,$(TAG2),$(BUILD_URL),$(TMP_DIR)/src/build)
ifneq (,$(LOCAL_BRANCH))
	rm -rf $(TMP_DDIR)
	cp -la $(TMP_DIR) $(TMP_DDIR)
endif
	cd $(TMP_DDIR)/ffmpeg && tar zxvf ffmpeg-mt.tar.gz ffmpeg-mt/Changelog

gos-pack: TMP_DIR  = $(TMP_DDIR)
ifneq (,$(DEBIAN_TAG))
gos-pack: VERSION  = $(shell echo $(DEBIAN_TAG) | cut -d= -f2)
else
gos-pack: REVISION = $(shell cd $(TMP_DIR)/ffmpeg && svn log --xml --limit 1 | grep -E '^( *revision=|<date>)' | tr -d '\n' | \
	             sed -e 's/.*"\([0-9]*\)".*>\(....\)-\(..\)-\(..\)T.*/\2\3\4r\1/')+$(shell cd $(TMP_DIR)/src/build && \
	             svn log --limit 1 | grep ^r | head -1 | sed -e 's/^r\([^ ]*\).*/\1/')
gos-pack: VERSION  = $(shell grep -E '^version [0-9][^:]*:.*' $(TMP_DIR)/ffmpeg/ffmpeg-mt/Changelog | head -1 | sed -e 's/.* \(.*\):/\1/')+svn$(REVISION)
endif
gos-pack:
	# Pack
	rm -rf  $(TMP_DIR)/ffmpeg-mt
	mkdir $(TMP_DIR)/$(DEBIAN_NAME)-$(VERSION)
	tar -cf - -C $(TMP_DIR) $(SRC_FILES) --exclude .svn | tar -xf - -C $(TMP_DIR)/$(DEBIAN_NAME)-$(VERSION)
	@$(call DO,mv $(TMP_DIR)/$(DEBIAN_NAME)-$(VERSION)/ffmpeg/* $(TMP_DIR)/$(DEBIAN_NAME)-$(VERSION)/src); rmdir $(TMP_DIR)/$(DEBIAN_NAME)-$(VERSION)/ffmpeg
	@$(foreach ent,*.tar.gz patches,$(call DO,mv $(TMP_DIR)/$(DEBIAN_NAME)-$(VERSION)/src/$(ent) $(TMP_DIR)/$(DEBIAN_NAME)-$(VERSION));)
	cd $(TMP_DIR) && tar zcf ../$(DEBIAN_NAME)_$(VERSION).orig.tar.gz --exclude=.svn $(DEBIAN_NAME)-$(VERSION)
	rm -rf $(TMP_DIR)
	@echo "# Done (created $(DEBIAN_NAME)_$(VERSION).orig.tar.gz)"
	@ls -l $(DEBIAN_NAME)_$(VERSION).orig.tar.gz

## nickel-codecs-ffmpeg 0.6+svn20100904r58574+58998-1jolicloud2

=== debian/changelog ===
nickel-codecs-ffmpeg (0.6+svn20100904r58574+58998-1jolicloud2) robby-1.1; urgency=low

  [ Benjamin Ryzman ]
  * Imported Upstream version 0.6+svn20100904r58574+58998

  [ Fabien Tassin ]
  * Imported Debian patch 0.6+svn20100904r58574+58998-
    0ubuntu1~ucd2~lucid

 -- Benjamin Ryzman <benjamin@jolicloud.org>  Mon, 11 Oct 2010 11:49:09 +0200

chromium-codecs-ffmpeg (0.6+svn20100904r58574+58998-0ubuntu1~ucd2~lucid) lucid; urgency=low

  * Disable arm_neon to fix a FTBFS in libavcodec on Armel. Also enable
    arm_thumb on all versions of Ubuntu and extend armv7 to Maverick (needed
    when it loses its "development" name)
    - update debian/rules

 -- Fabien Tassin <fta@ubuntu.com>  Sat, 11 Sep 2010 04:15:16 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 	lsb-release,
 	zlib1g-dev,
 	libvpx-dev,
-	gyp,
+	gyp (>= 0.1~svn837),
 	yasm (>= 0.7)
 Standards-Version: 3.8.3

=== debian/rules ===
--- 
+++ 
@@ -29,14 +29,15 @@
 
 ifeq (armel,$(DEB_BUILD_ARCH))
 GYP_DEFINES += \
-        target_arch=arm \
-        $(NULL)
-ifneq (,$(filter unstable development,$(DEBIAN_DIST)))
+	target_arch=arm \
+	arm_thumb=1 \
+	arm_neon=0 \
+	$(NULL)
+ifneq (,$(filter 10.10 unstable development,$(DEBIAN_DIST)))
 # on $(DEB_BUILD_ARCH) and $(DEBIAN_DIST), enforce an armv7 with thumb build
 GYP_DEFINES += \
-        armv7=1 \
-        arm_thumb=1 \
-        $(NULL)
+	armv7=1 \
+	$(NULL)
 endif
 else
 ifeq (x86_64,$(DEB_BUILD_GNU_CPU))
